"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAX_ARRAY_LENGTH = void 0;
/**
 * The maximum length of an array.
 *
 * According to [ECMA-262](https://tc39.es/ecma262/#array-index):
 *     0 <= array.length <= 2^32 - 1
 */
exports.MAX_ARRAY_LENGTH = 4294967295;
//# sourceMappingURL=utils.js.map