import { BinaryTreeNode } from '.';
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function clone<T>(node: BinaryTreeNode<T> | undefined): BinaryTreeNode<T> | undefined;
/**
 *
 * @param elements
 *
 * @returns
 *
 * @internal
 */
export declare function toBinaryTree<T>(elements: T[] | undefined): BinaryTreeNode<T> | undefined;
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function inOrderTraverse<T>(node: BinaryTreeNode<T> | undefined): Iterable<BinaryTreeNode<T>>;
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function postOrderTraverse<T>(node: BinaryTreeNode<T> | undefined): Iterable<BinaryTreeNode<T>>;
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function preOrderTraverse<T>(node: BinaryTreeNode<T> | undefined): Iterable<BinaryTreeNode<T>>;
